export interface CreateDamageReportCommand {
  description: string;
  location: string;
  note: string;
  reportedBy: string;
  images: string[];
  affectedId?: string;
  affected?: "equipment" | "vehicle" | "wearable";
}

export interface UpdateDamageReportCommand {
  id: string;
  status: string;
  done: boolean;
}

export interface UpdateDamageReportRelatedMaintenanceCommand {
  id: string;
  maintenanceId: string;
}

export interface DeleteDamageReportCommand {
  id: string;
}
